Summary:	Multipurpose relay
Summary(pl.UTF-8):	Przekaźnik o wielu zastosowaniach
Name:		socat
Version:	1.7.3.0
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.bz2
# Source0-md5:	b607edb65bc6c57f4a43f06247504274
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.tmpfiles
Patch0:		%{name}-fixes.patch
URL:		http://www.dest-unreach.org/socat/
BuildRequires:	libwrap-devel >= 7.6-30
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	readline-devel
BuildRequires:	yodl
Requires:	rc-scripts >= 0.4.1.26-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Socat is a relay for bidirectional data transfer between two
independent data channels. Each of these data channels may be a file,
pipe, device (terminal or modem, etc.), socket (Unix, IPv4, IPv6 -
raw, UDP, TCP), a client for SOCKS4, proxy CONNECT, or SSL, etc. It
provides forking, logging, and dumping, different modes for
interprocess communication, and many more options. It can be used, for
example, as a TCP relay (one-shot or daemon), as a daemon-based
socksifier, as a shell interface to Unix sockets, as an IPv6 relay,
for redirecting TCP-oriented programs to a serial line, or to
establish a relatively secure environment (su and chroot) for running
client or server shell scripts with network connections.

%description -l pl.UTF-8
Socat to przekaźnik do dwukierunkowego przesyłania danych pomiędzy
dwoma niezależnymi kanałami danych. Każdy z tych kanałów może być
plikiem, potokiem, urządzeniem (terminalem, modemem itp.), gniazdem
(uniksowym, IPv4, IPv6 - surowym, UDP, TCP), klientem SOCKS4, proxy
CONNECT, albo SSL itp. Socat ma możliwość forkowania, logowania i
zrzucania danych, różne tryby komunikacji międzyprocesowej oraz wiele
innych opcji. Może być używane np. jako przekaźnik TCP (jednorazowy
lub demon), jako demon przesyłający przez SOCKS, jako interfejs dla
powłoki do gniazd uniksowych, jako przekaźnik IPv6, do
przekierowywania programów korzystających z TCP na port szeregowy albo
do stworzenia względnie bezpiecznego środowiska (su i chroot) do
uruchamiania klienckich lub serwerowych skryptów powłoki z
połączeniami sieciowymi.

%prep
%setup -q
%patch0 -p1
sed -i -e 's#-lssl#-lssl -lcrypto#g' configure*

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/var/run/%{name}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,%{name}} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

cat >> $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/example.conf <<'EOF'
# socat [options] <bi-address> <bi-address>
OPTIONS=""
BIADDRESS1="UNIX-LISTEN:/var/lib/mysql/mysql.sock,fork,user=mysql,group=mysql,mode=777"
BIADDRESS2="TCP:localhost:3306"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service socat restart "socat"

%preun
if [ "$1" = "0" ]; then
	%service socat stop
	/sbin/chkconfig --del socat
fi

%files
%defattr(644,root,root,755)
%doc BUGREPORTS CHANGES DEVELOPMENT EXAMPLES FAQ README SECURITY
%dir %{_sysconfdir}/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/*
%dir /var/run/%{name}
/usr/lib/tmpfiles.d/%{name}.conf
%{_mandir}/man?/*
%changelog
* Fri Apr 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/socat.git;a=log;h=master

* Thu Feb 19 2015 Adam Osuchowski <adwol@pld-linux.org> c2b12a2
- up to 1.7.3.0
- extra fixes from author
- BR: yodl

* Sun Dec 28 2014 Adam Osuchowski <adwol@pld-linux.org> 83751f1
- up to 1.7.2.4

* Tue Jun 11 2013 Kacper Kornet <draenog@pld-linux.org> a55e364
- updated to 1.7.2.2; fixes CVE-2013-3571

* Sat Jun 02 2012 blekot <blekot@pld-linux.org> 026decd
- up to 1.7.2.1

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 7e28f63
- release 2

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> efe928f
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 8f5bf0d
- add systemd tmpfiles config

* Sat Dec 10 2011 Adam Gołębiowski <adamg@pld-linux.org> 00a4c21
- updated to 1.7.2.0

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 145a8bb
- release 2

* Sun Aug 15 2010 zbyniu <zbyniu@pld-linux.org> 10b6f70
- up to 1.7.1.3 (fixes CVE-2010-2799)

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4e4d165
- rel 1

* Fri Apr 09 2010 Paweł Gołaszewski <blues@pld-linux.org> b62796c
- 1.7.1.2 - RC_LOGGING warning to init script added. It causes a lot of
  strange problems...

* Sun Nov 15 2009 Paweł Gołaszewski <blues@pld-linux.org> 87767b7
- 1.7.1.1 - fixes sig11

* Fri Apr 03 2009 areq <areq@pld-linux.org> a945b1d
- 1.7.1.0

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 86b8894
- release 3

* Wed Feb 11 2009 Elan Ruusamäe <glen@pld-linux.org> f0b621b
- tab, adapter

* Wed Feb 11 2009 Paweł Gołaszewski <blues@pld-linux.org> b7137ec
- no tunnels by default

* Wed Feb 11 2009 Paweł Gołaszewski <blues@pld-linux.org> e76575d
- typo

* Mon Feb 09 2009 Paweł Gołaszewski <blues@pld-linux.org> 330eada
- typo fixed, tnx glen

* Thu Feb 05 2009 Paweł Gołaszewski <blues@pld-linux.org> f021bcd
- kill parents and childrens

